// BasicTypes.cpp: implementation of the BasicTypes class.
//
//////////////////////////////////////////////////////////////////////

#pragma warning(disable:4786)

#include <SAX/InputSource.h>
#include <SAX/helpers/InputSourceResolver.h>
#include <meta/BasicTypes.h>

/*static*/ Type BasicTypeValue::mBasicTypeId;

/*static*/ Type URI::mURITypeId;

#define BUF_SIZE 2048

std::string& URI::getContents() const
{
	SAX::InputSource input(mValue);
	InputSourceResolver resolver(input);
	static std::string strContents;
	strContents = "";

	std::istream *is = resolver.resolve();

	char bufTemp[BUF_SIZE];
	if (is) {
		while (is->read(bufTemp, BUF_SIZE)) {
			strContents += bufTemp;
		}
	}

	return strContents;
}
