#
# Find the native LIBXML includes and library
#
# This module defines
# MSXML_INCLUDE_DIR, where to find expat.h, etc.
# MSXML_LIBRARIES, the libraries to link against to use LIBXML.
# MSXML_FOUND, If false, do not try to use LIBXML.

# also defined, but not for general use are
# MSXML_LIBRARY, where to find the LIBXML library.

FIND_PATH(MSXML_INCLUDE_DIR expat.h
  /usr/local/include
  /usr/include
)

FIND_LIBRARY(MSXML_LIBRARY expat
  /usr/lib
  /usr/local/lib
)

IF(MSXML_INCLUDE_DIR)
  IF(MSXML_LIBRARY)
    SET( MSXML_FOUND "YES" )
    SET( MSXML_LIBRARIES ${MSXML_LIBRARY} )
  ENDIF(MSXML_LIBRARY)
ENDIF(MSXML_INCLUDE_DIR)
